gpsd (3.25-5ubuntu1.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: heap OOB write in NMEA2000 PGN 129540 driver
    - debian/patches/CVE-2025-67268.patch: fix skyview buffer overrun in
      drivers/driver_nmea2000.c.
    - CVE-2025-67268
  * SECURITY UPDATE: integer underflow when parsing a NAVCOM packet
    - debian/patches/CVE-2025-67269.patch: fix integer underflow in
      malicious Navcom packet in gpsd/packet.c.
    - CVE-2025-67269

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 Jan 2026 13:29:37 -0500

gpsd (3.25-5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/p/lp-2076191-*: Fix gpsmon crash in NMEA (LP: #2076191).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 18:48:17 -0600

gpsd (3.25-5) unstable; urgency=medium

  * Fix apparmor profile to work on usrmerged systems too (Closes: #1093437)
  * Add build-dep on python3-setuptools (Closes: #1080885)
  * Bump standards to 4.7.0, no changes
  * Remove the unused lintian overrides
  * Update debian copyright year

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 19 Jan 2025 16:06:33 +0000

gpsd (3.25-4ubuntu1) plucky; urgency=medium

  * d/p/lp-2076191-*: Fix gpsmon crash in NMEA (LP: #2076191)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 04 Dec 2024 11:31:36 +0100

gpsd (3.25-4) unstable; urgency=medium

  * Mark strlcat/strlcpy as MISSING in .sybmols (Closes: #1071311)

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 23 May 2024 20:36:33 +0000

gpsd (3.25-3) unstable; urgency=medium

  * Upload to unstable (Closes: #1063318)
  * Change build-dep on dpkg-dev to avoid bad backports
  * wrap-and-sort control files
  * Remove makedev from build-dep (Closes: #986713)
  * Install systemd service files in /usr (Closes: #1059185)

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 28 Feb 2024 16:16:30 +0000

gpsd (3.25-3~exp1) experimental; urgency=medium

  * Fix a typo in d/rules
  * Convert lintian overrides to templates
  * Fix a typo in lintian overrides
  * Replace obsolete pkg-config w/ pkgconf
  * Update copyright years

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 11 Feb 2024 13:30:56 +0000

gpsd (3.25-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Tue, 06 Feb 2024 05:50:03 +0000

gpsd (3.25-2) unstable; urgency=medium

  [ Boian Bonev ]
  * Refresh patches
  * Fix the second instance of 067b:2303 (Closes: #884744, LP: #2012207)

  [ Adrian Bunk ]
  * Don't build depend on python3-gps

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 11 Sep 2023 15:47:57 +0000

gpsd (3.25-1) unstable; urgency=medium

  * Upload to sid

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 28 Jun 2023 21:37:43 +0000

gpsd (3.25-1~exp2) experimental; urgency=medium

  * Add patch for upstream fix for build on Hurd

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 24 Jun 2023 19:59:21 +0000

gpsd (3.25-1~exp1) experimental; urgency=medium

  [ Bernd Zeimetz ]
  ** SNAPSHOT build @133003725db331160722e54738bfb6b52bb0e501 **

  * [da10dc6b] New upstream version 3.22
  * [c09c5182] New upstream version 3.23.1
  * [02c4d4ea] Refreshing patches
  * [56072ace] snapshot changelog
  * [4fe064ce] remove gpssnmp for now.
    Unknown oid being used.
  * [6c251561] Install gpsdebuginfo.

  [ Boian Bonev ]
  * New maintainer (Closes: #1034532)
  * New upstream version 3.25
  * Refresh patches
  * Add patch fixing spelling
  * Add upstream metadata
  * Do not install libgpsdpacket.so symlink
  * Install gpsinit
  * Add patch fixing encoding/keywords in .desktop files
  * Enable hardening flags in the build
  * Enable parallel build
  * Override lintian false positives
  * Remove x bit from gps.py, __init__.py, packet.py and skyview.php
  * State RRR=no
  * Bump up standards to 4.6.2, no changes
  * Update homepage to gpsd.io
  * Install gpssnmp and MIB file in gpsd-tools
  * Add contact in d/copyright
  * Mark libqgpsmm-dev MA same
  * Update copyright to new license BSD-2-clause
    re-check all files with different copyright

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 05 Jun 2023 00:20:49 +0000

gpsd (3.22-4.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Christian Ehrhardt ]
  * [17606570] d/p/gpsmon-gpsmon.c-Fix-silly-warning.patch: fix FTFBS
    (Closes: #997178)

 -- Paul Gevers <elbrus@debian.org>  Sun, 11 Sep 2022 16:45:05 +0200

gpsd (3.22-4) unstable; urgency=high

  * [2df40c76] Fix: GPSD time will jump back 1024 weeks at after week=2180
    (Closes: #991739)
  * [c6af361a] Fix patch

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Aug 2021 21:58:54 +0200

gpsd (3.22-3) unstable; urgency=medium

  * [c6838e37] Remove duplicate lines from symbol files.
    Thanks to Matthias Klose (Closes: #985930)
  * [5c240253] Mark String::QString(QString const&)@Base as optional.
    Required for backporting.
  * [2dfbaa07] Updating debian/control from debian/control.in
  * [c582b2aa] gpsd-tools: add missing Breaks+Replaces
    gpsd-tools needs Breaks/Replaces for gpsd-clients (<< 3.20-10)
    Thanks to Andreas Beckmann (Closes: #987208)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Apr 2021 12:17:57 +0200

gpsd (3.22-2) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [66691096] Update Apparmor profile from upstream git HEAD.
    Thanks to Christian Ehrhardt (Closes: #976152) (LP: #1894330)

  [ Christian Ehrhardt ]
  * [63f0cbf0] symbols: nanowait came back as (int, timespec*)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 13 Jan 2021 19:20:14 +0100

gpsd (3.22-1) unstable; urgency=medium

  [ Pino Toscano ]
  * [d78fef17] Limit libsystemd-dev & libudev-dev build-deps as linux-any

  [ Bernd Zeimetz ]
  * [5afe80fe] New upstream version 3.22
  * [d23d0669] Updating debian/control from debian/control.in
  * [fde91987] libgps-dev: mark as M-A: same.
    Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #912580)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 09 Jan 2021 22:42:25 +0100

gpsd (3.21.99~rc1-2) unstable; urgency=medium

  * Uploading to unstable
  * [ac4c2cbe] add automatically generated rdep builder
  * [3420d64b] Revert "Updating gbp.conf for experimental"
    This reverts commit c524723236f6334db4605752172412707e7f2cb3.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 06 Jan 2021 01:36:36 +0100

gpsd (3.21.99~rc1-1) experimental; urgency=medium


  * [7936993f] Fixing git URLs
  * [3296cd58] removing extra linebreak
  * [8faaf157] Updating debian/control from debian/control.in
  * [c5247232] Updating gbp.conf for experimental
  * [4e2f5ac1] New upstream version 3.21.1~dev
  * [e01b4392] refreshing patches
  * [82d5b474] Addint matplotlib as dependency
  * [b905b4a6] snapshot changelog
  * [d415ffbd] remove gpsd build dir
  * [2a2d7e26] move dh_clean in order
  * [792171ef] Remove debian/source/options
  * [45c11a24] also remove buildtmp symlink
  * [b72ada42] add asciidoctor as build-dep
  * [704c85c4] Updating debian/control from debian/control.in
  * [8fa23322] remove gpsd-dbg package
  * [bf066735] Updating debian/control from debian/control.in
  * [18cf7d90] things happen in Sconscript, not sconstruct
  * [13d41b86] copy files from build dir
  * [448b12a0] Really ignore xgps deps check
  * [6b612ecf] add all the python stuff as build-dep
    tools are executed at build time
  * [61c389fe] Updating debian/control from debian/control.in
  * [04d323b3] python modules are pure python now
    no need to build for each python release
  * [c428275b] Build static library first, then the shared version
  * [a60bae70] add libsystemd-dev as build-dep
  * [5d5b5749] Updating debian/control from debian/control.in
  * [0ef4040b] add libudev-dev as build-dep
  * [3c09ab29] Updating debian/control from debian/control.in
  * [4cc239f6] tidy build-dir after static build
  * [a3991765] Fix filename of static library
  * [943cdb1e] No python c modules anymore
  * [7a0a4c1a] more fixes for SConstruct -> SConscript migration
  * [cf9802b0] scons fails to check xsltproc.
    force it
  * [520d0fb6] Don't call scons for clean.
    Just remove the builddir.
  * [3d6ad4ee] Remove upstream installed documentation
  * [01a55541] Install new gpsd-client tools.
  * [8ea6798e] install libgpsdpacket into python3-gps
  * [24703969] no python debug build anymore
  * [525cd475] Fix typo
  * [cf8b732e] install systemd service files
  * [1a5ac994] Update gpsd-clients.examples
  * [6ac6556e] install examples with dh_install
    dh_installexamples doesn't support #!/usr/bin/dh-exec....
  * [8bcc5152] Fix udev source location
  * [b317fad6] Updating symbols file
  * [90e3c370] Updating libgps symbols file.
    Also sorting it.
  * [112fdad9] Use scons systemd_install
  * [c2de2379] Add missing "" for c++ symbols
  * [88af2338] fix symbols
  * [5d4c7e4f] mark one more symbol as missing
  * [1814e3c1] New upstream version 3.21.99~rc1
  * [58d93d7d] Remove patch that is not needed anymore
  * [92242a31] snapshot changelog
  * [155be863] Updating debian/control from debian/control.in
  * [f2668dc0] try to build reverse-dep automatically
  * [44310e1a] gitlab ci fixes
  * [74f7bf91] actually enable job
  * [84eed5c3] assume yes for apt
  * [d557db05] remove old X-Python settings
  * [19770775] fix python3 shebangs
  * [dde6ae6a] add some more -y for apt
  * [f142e929] remove python2 shebang replacements

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jan 2021 17:05:16 +0100

gpsd (3.20-12) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b7a30c42] Disable reprotest on CI for now.
    Until somebody comes up with a fix.

  [ Christian Ehrhardt ]
  * [fccbcc8f] fix json missing quotes on device add (LP: #1879272)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 May 2020 09:04:54 +0200

gpsd (3.20-11) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [232c8d73] d/rules: fix ubxtool to use python3 in the gpsd package (LP: #1878158)
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 12 May 2020 13:49:15 +0200

gpsd (3.20-10) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [7670b61e] exchange gpsd-client/tools content
  * [fb81a96a] examples also need to be in -clients instead of -tools then
  * [7f8d06a8] d/control[.in]: moving gpsctl still breaks gpsd-clients
    (<< 3.20-9) for upgraders never seeing the version in experimental

  [ Bernd Zeimetz ]
  * [b448fb08] Merge branch 'exchange-clients-and-tools' into 'master'
    exchange gpsd-client/tools content
    See merge request debian-gps-team/pkg-gpsd!6

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 11 May 2020 14:40:08 +0200

gpsd (3.20-9) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [6a21e6bd] d/usr.sbin.gpsd: improve apparmor rules for PPS
               usage (LP: #1872175 LP: #1872178)
  * [c8b703b4] d/gpsd.default: add USBAUTO option (LP: #1873415)
  * [2fcf9754] split more uncommon tools to gpsd-tools (LP: #1872189)
  * [4a1454fb] d/control[.in]: have gpsd-tools depend on gpsd-clients
               as it extends on cgps
  * Move tools for local HW config into gpsd itself
    - [016cff82] move gpsctl to package gpsd
    - [b78132aa] d/control[.in]: move ubxtool and ntpshmmon to gpsd
  * python fixups for Lintian warnings
    - d/control[.in]: add python3 dependency to gpsd-dbg
    - d/rules: fix the py2/3 fixup applied post build
    - d/rules: let package gpsd be processed by dh_python3
    - d/control[.in]: gpsd needs python as depends

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 02 May 2020 01:19:11 +0200

gpsd (3.20-8) unstable; urgency=medium

  * [62aa4951] Remove last traces of python2. (Closes: #936645)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 09 Apr 2020 11:09:55 +0200

gpsd (3.20-7) unstable; urgency=medium

  * [4a08d30e] Remove libdbus-glib-1-dev build-dep.
    Thanks to Simon McVittie (Closes: #955846)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Apr 2020 23:16:32 +0200

gpsd (3.20-6) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * [b0d9ef06] Fix autopkgtest for new systemd releases.
    Thanks to Michael Biebl (Closes: #953760)

  [ Christian Ehrhardt ]
  * [4c4e5ea1] device-hook apparmor fixes (LP: #1868363)
    The manpage defines a hook that is called by gpsd which due to current
    confinement it is unable to run.
    - d/usr.sbin.gpsd: allow to call the /etc/gpsd/device-hook in the
      apparmor profile
    - d/usr.sbin.gpsd: allow to map and execute the own binary as needed
      in some containers
    - d/usr.sbin.gpsd: allow to run common shell interpreters bash/dash
    That hook will run within the confinement of gpsd, so if it is expected
    to do anything more special a user will have to allow that in
    /etc/apparmor.d/local/usr.sbin.gpsd
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Mar 2020 22:16:13 +0100

gpsd (3.20-5) unstable; urgency=medium

  * [b2aadaf9] Fix device activation via gpsd socket.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 12 Mar 2020 10:46:35 +0100

gpsd (3.20-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * [58b18a53] apparmor: fix control socket usage for gpsdctrl (LP: #1790496)
    The subsequent access of the daemon to the device is covered already.
      # common serial paths to GPS devices
      /dev/tty{,S,USB,AMA,ACM}[0-9]*    rw,
    But gpsdctl itself isn't yet - therefore we see
      $ sudo gpsdctl add /dev/ttyUSB0
    triggering:
      apparmor="DENIED profile="/usr/sbin/gpsd" name="/run/gpsd.sock" requested_mask="r" denied_mask="r"
    This change adds a rule for that.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 01 Feb 2020 01:11:24 +0100

gpsd (3.20-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 12 Jan 2020 20:16:47 +0100

gpsd (3.20-2) experimental; urgency=medium

  * [4f1c9d4f] Merge branch 'non-linux' into 'master'
    Build fixes for non-Linux archs
    See merge request debian-gps-team/pkg-gpsd!2
  * [7196c903] Updating debian/control from debian/control.in
  * [2227686a] Redo changes accidentally done in d/control
  * [f3a7fb54] Add patch to fix soname.
    Went missing upstream somewhere
  * [49d89d24] Update gbp.conf for experimental

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 08 Jan 2020 23:21:55 +0100

gpsd (3.20-1) unstable; urgency=medium

  * [9edad156] It is /dev/ttyACM[0-9]+, not /dev/ACM[0-9]+.
    Fix the apparmor profile. (Closes: #944521)
  * [13daa71f] Update upstream source from tag 'upstream/3.20'
    Update to upstream version '3.20'
    with Debian dir d2e29602486466a54dcd800a73e727aa3ef129ce
  * [51f56687] Refreshing patches.
  * [55d0b5b4] Updating changelog
  * [fd2a44f4] Fix gpsd.docs for asciidoc.
    Files were converted by upstream
  * [2da3f0f4] python-gps is gone, remove .install file also
  * [9759c33a] python3-gps.install: update for new file/module names.
  * [10f81da8] gpsd-dbg.install: update debug binaries
  * [f529940a] Updating symbols files
  * [5c851b49] Ignore the build-time test for xgps deps.
    We'll deliver them as dependency, no worries.
  * [32358c88] Use python_libdir instead of a mv hack.
  * [bf7651e1] Install soelim stubs instead of links for manpages.
    Seems to work fine, so why keep the extra work?
  * [7ee82f94] Remove chrpath hack. Not needed anymore it seems.
  * [55d2d180] Depend on asciidoc.
  * [c8f81b96] Don't install non-build-related python deps.
  * [aa045a15] libQgpsmm.3 is not yet compressed at install time
  * [cfa6a5d3] Fix shebang in the debug scripts
  * [53178b81] Updating changelog
  * [9133a8a2] Limit the shebang fix to python files only

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 04 Jan 2020 02:34:41 +0100

gpsd (3.19-3) unstable; urgency=medium

  * [ba252b48] Use one sconsign file per pickle version.
    Thanks to Graham Inggs (Closes: #945238)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Nov 2019 19:51:42 +0100

gpsd (3.19-2) unstable; urgency=medium

  * [06ae5582] Add debian/.gitlab-ci.yml
  * [b200620e] Update Vcs-Git Urls
  * [1991f99e] git is not available on buildds.
  * [809c6c4a] Remove weird env flag overrides
  * [85c4fbb7] snapshot changelog
  * [24e0be41] try again
  * [ede12b7b] Merge branch 'master' of salsa.debian.org:debian-gps-team/pkg-gpsd
  * [29fe8717] Remove options only used by the init script.
  * [0232f523] Scons ignores hardening-flags and others, try this.
  * [d163bdcd] Revert "Scons ignores hardening-flags and others, try this."
    This reverts commit 0232f52302f65f545118f653f787daf2429d0c0a.
  * [27d27ef5] A better try to fix scons env handling
  * [fc43714a] More fixes for the env-handling.
  * [9b34a869] Fix the broken fix
  * [6fd99707] Also merge CFLAGS/CXXFLAGS/...
  * [200cf80c] Also try to fix python cflags handling
  * [0dd50707] Use python3 for default scons things.
    After building the first version with python 3, the pickle version of
    the cached scons data will be too old.
  * [bbf652ee] Remove python2 support.
    Building both python versions got impossible since recent python3
    versions use a new picke version and scons stores its state in a pickle
    file...
  * [8eee1d20] Also remove dependencies on python-gps
  * [e3b30066] Updating debian/control from debian/control.in
  * [0332c8e5] Remove duplicate build-deps
  * [62b43a57] Updating changelog
  * [a8bbbce5] Use python3 for gpsd-clients
  * [288e9075] gpsd-clients breaks/replaces python-gps
  * [2f21db33] use aptly
  * [fd092a4d] Use python3-gi instead of python3-gtk
  * [0be9eebd] changes need to go into control.in
  * [a620b1d5] Depend on python3
  * [cbf832dd] Updating debian/control from debian/control.in

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Oct 2019 21:56:20 +0200

gpsd (3.19-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * [d61040a0] d/usr.sbin.gpsd: Relicense to BSD to match the Project.
    As the Author of the profile I'm relicensing the apparmor profile
    to the BSD License to match the (majority) of the rest of the
    GPSD project licenses.
    Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * [5de17f0c] Allow gpsd.service to be enabled by the admin at boot time.
    Be sure to keep it disabled. The admin needs to explicitely start
    it if needed. (Closes: #928681)

  [ Bernd Zeimetz ]
  * [7a45f357] Update upstream source from tag 'upstream/3.19'
    Update to upstream version '3.19'
    with Debian dir b3aea49f5d39c5eb18ffcb61a2b6cebae7f7322f
  * [63e0cd09] snapshot changelog
  * [5e3a1568] test script location changed
  * [9035f8d9] add test_misc.py
  * [6d9ccaf3] Add gpsrinex
  * [764bfeaa] Updating symbol files

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 11 Jul 2019 10:01:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgps30t64`.
